=== packaging/Debian/debian/changelog ===
samba (2.2.6-0.1) unstable; urgency=low

  * Local build.

 -- Debian User <user@somewhere.in.the.planet>  Sun, 13 Oct 2002 02:33:32 -0400

samba (2.2.5-1.woody) stable; urgency=low

  * Upload latest stable Samba release to woody.
    - includes improved NT printing support (closes: #157406)
  * Fix the filename-matching algorithm used for smbtar's 'exclude'
    functionality. (closes: #131571)
  * Remove patches/srv_spoolss_nt.patch, now included upstream.

 -- Steve Langasek <vorlon@debian.org>  Fri, 23 Aug 2002 17:20:08 -0500

samba (2.2.3a-8) stable; urgency=low

  * maintainer script fixes backported from sid.
  * reorder postinst, so that installing samba-common from scratch loads
    the debconf answers properly (closes: #151985).
  * Look for secrets.tdb in /var/lib/samba, and handle in the postinst.
    This is not really a config file, because users don't edit it.
    (closes: #147429)
  * samba.postinst: added logic so we don't call /etc/init.d/samba if
    we are running from inetd (this prevents the stupid help message
    to be printed during package upgrades if we are running from inetd.)
  * Fixed bug in the FHS migration path that causes nmbd to read its
    state from one location, but write it out to another. (closes: #154210)

 -- Steve Langasek <vorlon@debian.org>  Sat, 13 Jul 2002 10:18:56 -0500

samba (2.2.3a-7) unstable; urgency=medium

  * More README.debian updates.
  * Neutralize the smb.conf 'lock dir' directive, which doesn't mean
    what the FHS says it should, and causes us no end of grief.
    (Closes: #122299)
  * LPRng-handling patch so that jobs printed to recent versions of
    LPRng show up properly as 'done' instead of 'paused' in the Windows
    print queue.  Thanks to Jaroslav Serdula <serdula_jaroslav@vse.sk>
    for this patch. (Closes: #139458)
  * Applied patch from Urban Widmark <urban@teststation.com>
    (smbfs upstream maintainer) to add a '-n' option to smbmount
    that does the same as mount's '-n'. (Closes: #139590)
  * Minor tweak to unpatch-source so we unpatch sources in the
    reverse order we patched them.
  * Don't depend on grep in samba.prerm to determine if Samba was
    running before the upgrade starts.
  * Tweak the wording of debconf templates.
  * Incorporate debconf translations for French, Spanish and Portuguese;
    thanks to Carlos Valdivia Yage <valyag@hotpop.com> (es),
    Andre Luis Lopes <andrelop@ig.com.br> (pt_BR), and Philippe
    Batailler and Denis Barbier <barbier@debian.org> (fr).
    (closes: #142657, #142659, #141551, #141699, #141682)
  * Fixed symlinks in the swat package so the point to /usr/share/doc/
    instead of /usr/doc/. Added note to the description of the
    swat packages that says that samba-doc must be installed for
    the on-line documentation to work. Thanks to Torne Wuff
    <torne@wolfpuppy.org.uk>. (Closes: #95437)
  * 'dh_installinit -n' gives us no initscript handling -- we need to
    handle all starting and stopping of daemons ourselves, which wasn't
    happening in the {pre,post}rm scripts.
  * Vary the priority of the debconf question "Do you want to generate
    /etc/samba/smbpassd?" depending on whether the file already exists.
    File exists -> priority 'medium', file does not exist -> priority
    'low'. Changed priorities of all other questions from 'high' to 'medium'.

 -- Steve Langasek <vorlon@debian.org>  Sat, 20 Apr 2002 17:48:27 -0400

samba (2.2.3a-6) unstable; urgency=low

  * Call db_stop as soon as we're done with debconf in the postinst, to
    avoid hanging bugs (closes: #137813)
  * Ony call 'update-inetd --add' on first installation, just as we only
    call 'update-inetd --remove' on package purge.
  * Bring our shipped smb.conf closer in line with the upstream
    defaults: don't twiddle the send/recv buffer sizes, since the Linux
    kernel already provides a much better default setting
    (closes: #80966, #80934, #137415, #133477)
  * Added libnss_wins.so to the winbind package (closes: #137201)
  * Updates to README.debian.

 -- Eloy A. Paris <peloy@debian.org>  Tue, 12 Mar 2002 10:57:40 -0500

samba (2.2.3a-5) unstable; urgency=low

  * Having multiple workgroup lines in your smb.conf, though wacky, is 
    perfectly valid.  Account for this in samba-common.config.
    (closes: #137157)

 -- Steve Langasek <vorlon@debian.org>  Sun, 10 Mar 2002 21:52:51 -0600

samba (2.2.3a-4) unstable; urgency=low

  * Fixed typo in samba.postinst. Cosmetic fixes there as well.
  * Fix to improper usage of /usr/bin/tr in samba-common config script
    (closes: #137744)

 -- Steve Langasek <vorlon@debian.org>  Sat,  9 Mar 2002 14:14:02 -0500

samba (2.2.3a-3) unstable; urgency=medium

  * Make sure /etc/init.d/samba is executable before calling it
    in the postinst. Quickly checked all other maintainer scripts
    to make sure we are not calling an init script if it is not
    executable. (closes: #137321)
  * Fix up maintainer scripts to detect if samba was not running before 
    an upgrade. (closes: #33520, #130534)
  * Make sure /etc/samba/ is included in the samba-common package.
    Closes: #137157

 -- Steve Langasek <vorlon@debian.org>  Fri,  8 Mar 2002 11:13:21 -0500

samba (2.2.3a-2) unstable; urgency=low

  * merge in debconf support:
    - Moved all smb.conf-related questions to samba-common (smb.conf
      is part of the samba-common package, not the samba package.)
    - smb.conf is not a samba-common conffile anymore since it is
      being managed by debconf. It is ABSOLUTELY necessary to make
      sure /etc/samba/smb.conf _NEVER_ gets overwritten by changes
      made via debconf. In other words, any changes made by the user
      should be honored by the debconf interface.
    - samba.postinst now moves old log files from /var/log/ to
      /var/log/samba/. There's a Debconf note that informs the user
      the log files are stored now in a new location.
    - debian/control:
      + Make samba depend on debconf.

